#ifndef WALKING_H
#define WALKING_H
// -----------------------------------------------------------------------------

#include "physics.h"
#include "normalmode.h"

// -----------------------------------------------------------------------------

class Walking {
public:
	static void Cleanup(void) throw(Exception);
	static void Initialize(void) throw(Exception);

	static void Physics(PhysicsType type) throw();
	static void SetupPhysics(PhysicsType type) throw();

	static void SetMode(void);

private:
	static void DoCopy(void);
};

// -----------------------------------------------------------------------------
#endif
